#ifndef UNIFORM_BUFFER_HPP
#define UNIFORM_BUFFER_HPP

#include <cstdint>
#include <glm/fwd.hpp>
namespace OpenEngine {
    
    class UniformBuffer
    {
        public:
            virtual ~UniformBuffer() {}
            virtual void SetData(const void* data, uint32_t size,
                    uint32_t offset = 0) = 0;

            static Ref<UniformBuffer> Create(uint32_t size, uint32_t binding);
        
    };
}

#endif // UNIFORM_BUFFER_HPP
